### Method

# Atspi EditableText delete_text

#### Declaration [src]

    gboolean
    atspi_editable_text_delete_text (
      AtspiEditableText* obj,
      gint start_pos,
      gint end_pos,
      GError** error
    )

#### Description [src]

Deletes text from an `AtspiEditableText` object, without copying the excised portion into the system clipboard.

see: #atspi_editable_text_cut_text.

#### Parameters

`start_pos`

  Type: `gint`

  A #gint indicating the starting character offset of the text to delete.

`end_pos`

  Type: `gint`

  A #gint indicating the offset of the first character past the end of the text section to be deleted.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful, otherwise `FALSE`.